## com.imcode.imcms.api
Class Role

    java.lang.Object
      com.imcode.imcms.api.Role

All Implemented Interfaces:
  java.lang.Comparable

    public class Role

extends java.lang.Object
implements java.lang.Comparable

Since:
  2.0

Field Summary
`static int` `SUPERADMIN_ID`
`static int` `USERADMIN_ID`
`static int` `USERS_ID`

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object o)`
`int` `getId()`
`java.lang.String` `getName()`
`int` `hashCode()`
`boolean` `hasPasswordMailPermission()`
`void` `setName(java.lang.String name)`
`void` `setPasswordMailPermission(boolean passwordMailPermission)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SUPERADMIN_ID

    public static final int SUPERADMIN_ID

See Also:
  Constant Field Values

### USERADMIN_ID

    public static final int USERADMIN_ID

See Also:
  Constant Field Values

### USERS_ID

    public static final int USERS_ID

See Also:
  Constant Field Values

Method Detail

### getId

    public int getId()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setPasswordMailPermission

    public void setPasswordMailPermission(boolean passwordMailPermission)

### hasPasswordMailPermission

    public boolean hasPasswordMailPermission()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`